Changeset 6d9aa92


Ignore:
Timestamp:
Jun 9, 2019 3:50:50 PM (9 months ago)
Author:
zzz <zzz@…>
Branches:
master
Children:
ea2ef7b
Parents:
0c54b6d
Message:

Tests: Fix some bashisms, add more files to bashisms check

Files:
3 edited

Legend:

Unmodified
Added
Removed
  • core/c/jbigi/mbuild-all.sh

    r0c54b6d r6d9aa92  
    8585fi
    8686
    87 if ! command -v m4 > /dev/null; then
     87if ! command m4 > /dev/null; then
    8888    printf "\aWARNING: \`m4\` not found. Install m4 " >&2
    8989    printf "and re-run this script.\n\n\n\a" >&2
     
    141141fi
    142142
    143 if ! command -v ${CC} > /dev/null; then
     143if ! command ${CC} > /dev/null; then
    144144  echo "The compiler you've selected \"$CC\" does not appear to exist"
    145145  exit 1
  • tests/scripts/checkremotecerts.sh

    r0c54b6d r6d9aa92  
    124124            IFS=":"
    125125            set -- $HOST
    126             HOSTNAME=$1
     126            HOSTNAM=$1
    127127            PORT=$2
    128128            IFS=$OLDIFS
    129129        else
    130             HOSTNAME=$HOST
     130            HOSTNAM=$HOST
    131131            PORT=443
    132132        fi
    133133
    134         echo -n "Checking $HOSTNAME:$PORT..."
    135         if retry connect "$HOSTNAME" "$PORT"  < /dev/null 1> "$WORK/$HOST"; then
     134        echo -n "Checking $HOSTNAM:$PORT..."
     135        if retry connect "$HOSTNAM" "$PORT"  < /dev/null 1> "$WORK/$HOST"; then
    136136
    137137            # OpenSSL returns "return code: 0 (ok)"
  • tests/scripts/checkscripts.sh

    r0c54b6d r6d9aa92  
    1414        ./apps/i2psnark/java/bundle-messages.sh \
    1515        ./apps/i2psnark/launch-i2psnark \
    16         ./apps/i2ptunnel/java/bundle-messages-proxy.sh \
    17         ./apps/i2ptunnel/java/bundle-messages.sh \
    18         ./apps/routerconsole/java/bundle-messages-news.sh \
    19         ./apps/routerconsole/java/bundle-messages.sh \
     16        ./apps/i2ptunnel/java/bundle-messages*.sh \
     17        ./apps/ministreaming/java/bundle-messages.sh \
     18        ./apps/routerconsole/java/bundle-messages*.sh \
    2019        ./apps/sam/c/examples/i2p-ping/pinger.sh \
    2120        ./apps/susidns/src/bundle-messages.sh \
    2221        ./apps/susimail/bundle-messages.sh \
    23         ./core/c/build.sh \
    24         ./core/c/jbigi/build-all.sh \
    25         ./core/c/jbigi/build_jbigi.sh \
    26         ./core/c/jbigi/build.sh \
    27         ./core/c/jbigi/mbuild-all.sh \
    28         ./core/c/jcpuid/build.sh \
    29         ./core/c/mbuild.sh \
    30         ./debian/i2p.config \
    31         ./debian/i2p-doc.preinst \
    32         ./debian/i2p.init \
    33         ./debian/i2p.postinst \
    34         ./debian/i2p.postrm \
    35         ./debian/i2p.preinst \
    36         ./debian/libjbigi-jni.preinst \
    37         ./debian/repack.sh \
     22        ./core/c/*.sh \
     23        ./core/c/jbigi/*.sh \
     24        ./debian/*.config \
     25        ./debian/*.init \
     26        ./debian/*.preinst \
     27        ./debian/*.postinst \
     28        ./debian/*.postrm \
     29        ./Docker.entrypoint.sh
     30        ./installer/resources/*.sh \
     31        ./installer/resources/eepget \
     32        ./installer/resources/i2prouter \
    3833        ./installer/resources/install_i2p_service_osx.command \
    3934        ./installer/resources/install_i2p_service_unix \
    4035        ./installer/resources/locale/bundle-messages.sh \
    41         ./installer/resources/postinstall.sh \
    42         ./installer/resources/runplain.sh \
    4336        ./installer/resources/uninstall_i2p_service_osx.command
    4437        ./installer/resources/uninstall_i2p_service_unix \
     38        ./launchers/macosx/check_latest_java.sh \
     39        ./launchers/macosx/download_and_build_sparkle.sh \
    4540        ./Slackware/i2p/i2p.SlackBuild \
    4641        ./Slackware/i2p/doinst.sh \
    4742        ./Slackware/i2p/rc.i2p \
    48         ./tests/scripts/checkcerts.sh \
    49         ./tests/scripts/checkpo.sh \
    50         ./tests/scripts/checkutf8.sh \
    51         ./tests/scripts/checkxml.sh \
    52         ./tests/scripts/testjbigi.sh \
     43        ./tests/scripts/*.sh \
    5344"
    5445
     46echo "Checking scripts for bashisms ..."
    5547for script in $SCRIPTFILES; do
    5648    #echo "Checking $script ..."
Note: See TracChangeset for help on using the changeset viewer.